[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EArgumentException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Invalid argument passed to a function

## Declaration

Source position: sysutilh.inc line 220

`type EArgumentException = class(Exception)`

## Inheritance

`EArgumentException` |  | Invalid argument passed to a function
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EArgumentException is raised by many character conversion/handling routines to indicate an erroneous argument was passed to the function (usually indicating an invalid codepoint in a Unicode string).

## Errors

None.

## See also

EArgumentOutOfRangeException |  | Argument out of valid range passed to a function